# Uses of Interface
org.springframework.jdbc.support.rowset.SqlRowSetMetaData

Packages that use SqlRowSetMetaData
Package
Description
org.springframework.jdbc.support.rowset
Provides a convenient holder for disconnected result sets.

## Uses of SqlRowSetMetaData in org.springframework.jdbc.support.rowset

Classes in org.springframework.jdbc.support.rowset that implement SqlRowSetMetaData
Modifier and Type
Class
Description
`class`
`ResultSetWrappingSqlRowSetMetaData`
The default implementation of Spring's `SqlRowSetMetaData` interface, wrapping a `ResultSetMetaData` instance, catching any `SQLExceptions` and translating them to a corresponding Spring `InvalidResultSetAccessException`.
Methods in org.springframework.jdbc.support.rowset that return SqlRowSetMetaData
Modifier and Type
Method
Description
`final SqlRowSetMetaData`
ResultSetWrappingSqlRowSet.`getMetaData()`
`SqlRowSetMetaData`
SqlRowSet.`getMetaData()`
Retrieve the meta-data, i.e.